<?php

$view

->set('name', 'news')  
->set('title', '资讯') 

/*
->fetch(array('link@href', 2),      Dever::assets("global.css"))
->fetch(array('link@href', 3),      Dever::assets('<{(isset($name) ? $name : "news")}>.css', "css"))
->fetch(array('script@src', 2),     Dever::assets('global.js'))
->fetch(array('script@src', 3),     Dever::assets('<{(isset($name) ? $name : "news")}>.js', 'js'))
*/
   
->import('inc/head') 

# 焦点图 
->loop
(
    '.index-slide .swiper-slide',
    'main/content.focus|key=news_focus&name=资讯焦点图',
    array
    (
        'a' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
        ),

        'img' => array 
        (
            'src' => '$v.pic',
            'alt' => '$v.name',
        ),

        'span' => array
        (
            'html' => '$v.name ."<br/>". $v.desc',
        ),
    )
)

->fetch('.index-slide@style', 'main/content.focus?key=news_focus&name=资讯焦点图', 'none')

# 广告
->loop
(
    '.ad-swiper .swiper-slide',
    'main/content.ad|key=news_ad&name=资讯广告',
    array
    (
        'a' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
        ),

        'img' => array
        (
            'src' => '$v.pic',
            'alt' => '$v.name',
        ),
    )
)

->fetch('.ad-swiper@style', 'main/content.ad?key=home_ad&name=首页广告', 'none')

->loop
(
    '.news-module dl',
    'main/content.news|type=1',
    array
    (
        'a|0' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',

            'img' => array
            (
                'src' => '$v.pic',
                'alt' => '$v.name',
            ),
        ),

        'a|1' => array
        (
            'href' => '$v.link',
            'title' => '$v.name',
            'html' => '$v.name ."<br/>". $v.desc',
        ),
        
        'p' => array
        (
            'html' => '$v.info',
        ),

        'span' => array
        (
            'html' => '$v.pdate_string',
        ),
    )
)

->append('body', '<div id="page" dever-page-link="<{Dever::pageInfo()["link"]}>" dever-page-list=".news-module"></div>')


->import('inc/foot')

->display();  